export interface ItemExpireTime {
  text: string
  us: string
}

export interface TricksterItem {
  unique_id: number;
  item_name: string;
  item_id: number;
  item_count: number;
  item_desc: string;
  item_use: string;
  item_slots?: number;
  item_min_level?: number;
  is_equip?: boolean;
  is_drill?: boolean;
  item_expire_time?: ItemExpireTime;
  refine_level?: number;
  refine_type?: number;
  refine_state?: number;
  image?: string;
  stats?: {[key: string]:any}
}

export interface TricksterAccount {
  name:string
  characters: TricksterCharacter[]
}

export interface Identifier {
  id: number
  name: string
  path: string
}

export interface TricksterCharacter extends Identifier {
  class: number
  base_job: number
  current_job: number
}

export interface TricksterInventory extends Identifier{
  galders?:number
  items:{[key:string]:TricksterItem}
}


const jobMap:{[key:number]:string} = {
  31: "diva",
  29: "scientist",
  11: "sheep",
}

export const JobNumberToString = (n:number):string=> {
  if(n == -8) {
    return "bank"
  }
  if(jobMap[n] != undefined) {
    return jobMap[n]
  }
  return n.toString()
}
